TargetingShow Campaign Targeting

Show Campaign Targeting

Get a campaign's targeting rules.

curl -X GET "https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/targeting" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "targeting": {
    "include_tags": [
      "sports",
      "live"
    ],
    "exclude_tags": [
      "kids"
    ],
    "categories": [
      3,
      7
    ],
    "content_ids": [
      "1024",
      "1025"
    ],
    "placements": [
      "preroll"
    ],
    "devices": [
      1,
      3
    ],
    "languages": [
      "en",
      "es"
    ],
    "oses": [
      "iOS",
      "Android"
    ],
    "browsers": [
      "Chrome",
      "Safari"
    ],
    "continent_geoname_ids": [
      6255149
    ],
    "country_geoname_ids": [
      6252001
    ],
    "subdivision_1_geoname_ids": [
      5332921
    ],
    "subdivision_2_geoname_ids": [
      5391959
    ],
    "city_geoname_ids": [
      5391811
    ],
    "campaign_id": "cmp_4c19",
    "created_at": "2026-01-15T10:30:00Z",
    "updated_at": "2026-01-15T10:30:00Z"
  },
  "from_cache": true
}
GET
/ad-manager/{pid}/campaigns/{cid}/targeting
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
pidinteger
Required

ID of the Ad Manager project.

path
cidstring
Required

ID of the campaign.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

pidinteger
Required

ID of the Ad Manager project.

Example:
101
cidstring
Required

ID of the campaign.

Example:
cmp_4c19

Responses

resultstring

Operation outcome.

Allowed values:successerror
targetingstring
from_cacheboolean

True when the targeting rules were served from cache rather than read fresh.